OpenTTD GameScript API: Data Fields

OpenTTD GameScript API 15.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - g -

- GameOptionsWidgets : GSWindow
- Gender : GSCompany
- GENDER_FEMALE : GSCompany
- GENDER_INVALID : GSCompany
- GENDER_MALE : GSCompany
- GenerateLandscapeWidgets : GSWindow
- GenerationProgressWidgets : GSWindow
- GetAcceptedCargo() : GSIndustryType
- GetAge() : GSVehicle
- GetAgeLeft() : GSVehicle
- GetAirportCoverageRadius() : GSAirport
- GetAirportHeight() : GSAirport
- GetAirportNumHelipads() : GSAirport
- GetAirportType() : GSAirport
- GetAirportWidth() : GSAirport
- GetAllowedNoise() : GSTown
- GetAllRailTypes() : GSEngine
- GetAmountOfStationsAround() : GSIndustry
- GetAPIVersion() : GSInfo
- GetAuthor() : GSInfo
- GetAutoRenewMoney() : GSCompany
- GetAutoRenewMonths() : GSCompany
- GetAutoRenewStatus() : GSCompany
- GetAutoReplaceProtection() : GSGroup
- GetAwardedTo() : GSSubsidy
- GetBankBalance() : GSCompany
- GetBridgeType() : GSBridge
- GetBuildCost() : GSMarine, GSRail, GSRoad, GSTile
- GetBuildWithRefitCapacity() : GSVehicle
- GetButton() : GSEventGoalQuestionAnswer
- GetCapacity() : GSEngine, GSVehicle
- GetCargoAcceptance() : GSTile
- GetCargoGoal() : GSTown
- GetCargoIncome() : GSCargo
- GetCargoLabel() : GSCargo
- GetCargoLastAcceptedDate() : GSIndustry
- GetCargoLoad() : GSVehicle
- GetCargoPlanned() : GSStation
- GetCargoPlannedFrom() : GSStation
- GetCargoPlannedFromVia() : GSStation
- GetCargoPlannedVia() : GSStation
- GetCargoProduction() : GSTile
- GetCargoRating() : GSStation
- GetCargoType() : GSEngine, GSSubsidy
- GetCargoWaiting() : GSStation
- GetCargoWaitingFrom() : GSStation
- GetCargoWaitingFromVia() : GSStation
- GetCargoWaitingVia() : GSStation
- GetClosestTown() : GSTile
- GetCompany() : GSClient, GSEventGoalQuestionAnswer, GSStoryPage
- GetCompanyHQ() : GSCompany
- GetCompanyID() : GSEventCompanyBankrupt, GSEventCompanyInTrouble, GSEventCompanyNew, GSEventCompanyRenamed, GSEventCompanyTown, GSEventPresidentRenamed, GSEventStoryPageButtonClick, GSEventStoryPageTileSelect, GSEventStoryPageVehicleSelect
- GetComplementSlope() : GSTile
- GetConstructionCost() : GSIndustryType
- GetConstructionDate() : GSBaseStation, GSIndustry
- GetControlFlags() : GSIndustry
- GetCornerHeight() : GSTile
- GetCosts() : GSAccounting
- GetCoverageRadius() : GSStation
- GetCrashReason() : GSEventVehicleCrashed
- GetCrashSite() : GSEventVehicleCrashed
- GetCurrentDate() : GSDate
- GetCurrentRailType() : GSRail
- GetCurrentRoadType() : GSRoad
- GetCurrentSpeed() : GSVehicle
- GetCurrentUsage() : GSGroup
- GetCurrentValue() : GSVehicle
- GetDate() : GSDate, GSInfo, GSStoryPage
- GetDayOfMonth() : GSDate
- GetDescription() : GSInfo
- GetDesignDate() : GSEngine
- GetDestinationIndex() : GSSubsidy
- GetDestinationType() : GSSubsidy
- GetDetailedRating() : GSTown
- GetDistanceManhattanToTile() : GSIndustry, GSStation, GSTile, GSTown
- GetDistanceSquareToTile() : GSIndustry, GSStation, GSTile, GSTown
- GetDistributionType() : GSCargo
- GetDockLocation() : GSIndustry
- GetDriveThroughBackTile() : GSRoad
- GetElementID() : GSEventStoryPageButtonClick, GSEventStoryPageTileSelect, GSEventStoryPageVehicleSelect
- GetEngineReplacement() : GSGroup
- GetEngineType() : GSVehicle
- GetErrorCategory() : GSError
- GetEventType() : GSEvent
- GetExclusiveConsumer() : GSIndustry
- GetExclusiveRightsCompany() : GSTown
- GetExclusiveRightsDuration() : GSTown
- GetExclusiveSupplier() : GSIndustry
- GetExpireDate() : GSSubsidy
- GetFundBuildingsDuration() : GSTown
- GetGroupID() : GSVehicle
- GetGrowthRate() : GSTown
- GetHangarOfAirport() : GSAirport
- GetHeliportLocation() : GSIndustry
- GetHouseCount() : GSTown
- GetIndustryCount() : GSIndustry
- GetIndustryDeliveryAmount() : GSCargoMonitor
- GetIndustryID() : GSEventIndustryClose, GSEventIndustryOpen, GSIndustry
- GetIndustryPickupAmount() : GSCargoMonitor
- GetIndustryType() : GSIndustry
- GetInfrastructurePieceCount() : GSInfrastructure
- GetJoinDate() : GSClient
- GetLandscape() : GSGame
- GetLastError() : GSError
- GetLastErrorString() : GSError
- GetLastMonthProduction() : GSIndustry, GSTown
- GetLastMonthReceived() : GSTown
- GetLastMonthSupplied() : GSTown
- GetLastMonthTransported() : GSIndustry
- GetLastMonthTransportedPercentage() : GSIndustry, GSTown
- GetLastProductionYear() : GSIndustry
- GetLength() : GSVehicle
- GetLoanAmount() : GSCompany
- GetLoanInterval() : GSCompany
- GetLocation() : GSBaseStation, GSIndustry, GSSign, GSTown, GSVehicle
- GetMaintenanceCostFactor() : GSAirport, GSRail, GSRoad
- GetMapSize() : GSMap
- GetMapSizeX() : GSMap
- GetMapSizeY() : GSMap
- GetMaxAge() : GSEngine, GSVehicle
- GetMaxHeight() : GSTile
- GetMaximumOrderDistance() : GSEngine, GSVehicle
- GetMaxLength() : GSBridge
- GetMaxLoanAmount() : GSCompany
- GetMaxSpeed() : GSBridge, GSEngine, GSRail, GSRoad
- GetMaxTractiveEffort() : GSEngine
- GetMinHeight() : GSTile
- GetMinLength() : GSBridge
- GetMonth() : GSDate
- GetMonthlyInfrastructureCosts() : GSInfrastructure
- GetMonthlyMaintenanceCost() : GSAirport
- GetMonthlyRailCosts() : GSInfrastructure
- GetMonthlyRoadCosts() : GSInfrastructure
- GetName() : GSBaseStation, GSBridge, GSCargo, GSClient, GSCompany, GSEngine, GSGroup, GSIndustry, GSIndustryType, GSInfo, GSNewGRF, GSObjectType, GSRail, GSRoad, GSSign, GSTown, GSVehicle
- GetNearestTown() : GSAirport, GSStation
- GetNeighbourRoadCount() : GSRoad
- GetNewCompanyID() : GSEventCompanyMerger
- GetNewName() : GSEventCompanyRenamed, GSEventPresidentRenamed
- GetNextEvent() : GSEventController
- GetNoiseLevelIncrease() : GSAirport
- GetNumEngines() : GSGroup
- GetNumHangars() : GSAirport
- GetNumVehicles() : GSGroup
- GetNumWagons() : GSVehicle
- GetObject() : GSEventAdminPort
- GetOldCompanyID() : GSEventCompanyMerger
- GetOpsTillSuspend() : GSController
- GetOrderCompareFunction() : GSOrder
- GetOrderCompareValue() : GSOrder
- GetOrderCondition() : GSOrder
- GetOrderCount() : GSOrder
- GetOrderDestination() : GSOrder
- GetOrderDistance() : GSOrder
- GetOrderFlags() : GSOrder
- GetOrderJumpTo() : GSOrder
- GetOrderRefit() : GSOrder
- GetOtherBridgeEnd() : GSBridge
- GetOtherTunnelEnd() : GSTunnel
- GetOwner() : GSBaseStation, GSSign, GSTile, GSVehicle
- GetPageElementSortValue() : GSStoryPage
- GetPageSortValue() : GSStoryPage
- GetParent() : GSGroup
- GetPlaneType() : GSEngine
- GetPopulation() : GSTown
- GetPower() : GSEngine
- GetPresidentGender() : GSCompany
- GetPresidentName() : GSCompany
- GetPrice() : GSAirport, GSBridge, GSEngine
- GetPrimaryColour() : GSGroup
- GetPrimaryLiveryColour() : GSCompany
- GetProducedCargo() : GSIndustryType
- GetProductionLevel() : GSIndustry
- GetProfitLastYear() : GSGroup, GSVehicle
- GetProfitThisYear() : GSGroup, GSVehicle
- GetQuarterlyCargoDelivered() : GSCompany
- GetQuarterlyCompanyValue() : GSCompany
- GetQuarterlyExpenses() : GSCompany
- GetQuarterlyIncome() : GSCompany
- GetQuarterlyPerformanceRating() : GSCompany
- GetRailDepotFrontTile() : GSRail
- GetRailPieceCount() : GSInfrastructure
- GetRailStationDirection() : GSRail
- GetRailTracks() : GSRail
- GetRailType() : GSEngine, GSRail
- GetRating() : GSTown
- GetRefitCapacity() : GSVehicle
- GetReliability() : GSEngine, GSVehicle
- GetRoadDepotFrontTile() : GSRoad
- GetRoadLayout() : GSTown
- GetRoadPieceCount() : GSInfrastructure
- GetRoadReworkDuration() : GSTown
- GetRoadStationFrontTile() : GSRoad
- GetRoadTramType() : GSRoad
- GetRoadType() : GSEngine, GSVehicle
- GetRoadVehicleTypeForCargo() : GSRoad
- GetRunningCost() : GSEngine, GSVehicle
- GetSecondaryColour() : GSGroup
- GetSecondaryLiveryColour() : GSCompany
- GetSetting() : GSController
- GetSettings() : GSInfo
- GetShortName() : GSInfo
- GetSignalType() : GSRail
- GetSlope() : GSTile
- GetSourceIndex() : GSSubsidy
- GetSourceType() : GSSubsidy
- GetState() : GSVehicle
- GetStationCoverageRadius() : GSStation
- GetStationID() : GSEventStationFirstVehicle, GSStation
- GetStockpiledCargo() : GSIndustry
- GetStopLocation() : GSOrder
- GetStoryPageID() : GSEventStoryPageButtonClick, GSEventStoryPageTileSelect, GSEventStoryPageVehicleSelect
- GetSubsidyID() : GSEventSubsidyAwarded, GSEventSubsidyExpired, GSEventSubsidyOffer, GSEventSubsidyOfferExpired
- GetSystemTime() : GSDate
- GetTerrainType() : GSTile
- GetTick() : GSController
- GetTile() : GSEventStoryPageTileSelect
- GetTileIndex() : GSMap
- GetTileX() : GSMap
- GetTileY() : GSMap
- GetTownAuthority() : GSTile
- GetTownCount() : GSTown
- GetTownDeliveryAmount() : GSCargoMonitor
- GetTownEffect() : GSCargo
- GetTownID() : GSEventCompanyTown, GSEventTownFounded
- GetTownPickupAmount() : GSCargoMonitor
- GetUniqueID() : GSEventGoalQuestionAnswer
- GetUnitNumber() : GSVehicle
- GetURL() : GSInfo
- GetValue() : GSGameSettings, GSList
- GetVehicleID() : GSEventStationFirstVehicle, GSEventStoryPageVehicleSelect, GSEventVehicleCrashed
- GetVehicleOwner() : GSEventVehicleCrashed
- GetVehicleType() : GSEngine, GSGroup, GSVehicle
- GetVersion() : GSController, GSInfo, GSNewGRF
- GetVictims() : GSEventVehicleCrashed
- GetViews() : GSObjectType
- GetWagonAge() : GSVehicle
- GetWagonEngineType() : GSVehicle
- GetWaypointID() : GSWaypoint
- GetWeight() : GSCargo, GSEngine
- GetWidgetNumber() : GSEventWindowWidgetClick
- GetWindowClass() : GSEventWindowWidgetClick
- GetWindowNumber() : GSEventWindowWidgetClick
- GetYear() : GSDate
- GOAL_INVALID : GSGoal
- GoalListWidgets : GSWindow
- GoalQuestionWidgets : GSWindow
- GoalType : GSGoal
- GraphLegendWidgets : GSWindow
- GraphWidgets : GSWindow
- GROUP_ALL : GSGroup
- GROUP_DEFAULT : GSGroup
- GROUP_INVALID : GSGroup
- GroupListWidgets : GSWindow
- GSAccounting() : GSAccounting
- GSAsyncMode() : GSAsyncMode
- GSBridgeList_Length() : GSBridgeList_Length
- GSCargoList_IndustryAccepting() : GSCargoList_IndustryAccepting
- GSCargoList_IndustryProducing() : GSCargoList_IndustryProducing
- GSCargoList_StationAccepting() : GSCargoList_StationAccepting
- GSClientList_Company() : GSClientList_Company
- GSCompanyMode() : GSCompanyMode
- GSConfigFlags : GSInfo
- GSConfigWidgets : GSWindow
- GSDebugWidgets : GSWindow
- GSDepotList() : GSDepotList
- GSEngineList() : GSEngineList
- GSEventType : GSEvent
- GSExecMode() : GSExecMode
- GSGroupList() : GSGroupList
- GSIndustryList() : GSIndustryList
- GSIndustryList_CargoAccepting() : GSIndustryList_CargoAccepting
- GSIndustryList_CargoProducing() : GSIndustryList_CargoProducing
- GSLeagueWidgets : GSWindow
- GSListWidgets : GSWindow
- GSOrderFlags : GSOrder
- GSRoadTypeList() : GSRoadTypeList
- GSSettingsWidgets : GSWindow
- GSSignList() : GSSignList
- GSStationList() : GSStationList
- GSStationList_Cargo() : GSStationList_Cargo
- GSStationList_CargoPlanned() : GSStationList_CargoPlanned
- GSStationList_CargoPlannedByFrom() : GSStationList_CargoPlannedByFrom
- GSStationList_CargoPlannedByVia() : GSStationList_CargoPlannedByVia
- GSStationList_CargoPlannedFromByVia() : GSStationList_CargoPlannedFromByVia
- GSStationList_CargoPlannedViaByFrom() : GSStationList_CargoPlannedViaByFrom
- GSStationList_CargoWaiting() : GSStationList_CargoWaiting
- GSStationList_CargoWaitingByFrom() : GSStationList_CargoWaitingByFrom
- GSStationList_CargoWaitingByVia() : GSStationList_CargoWaitingByVia
- GSStationList_CargoWaitingFromByVia() : GSStationList_CargoWaitingFromByVia
- GSStationList_CargoWaitingViaByFrom() : GSStationList_CargoWaitingViaByFrom
- GSStationList_Vehicle() : GSStationList_Vehicle
- GSStoryPageElementList() : GSStoryPageElementList
- GSStoryPageList() : GSStoryPageList
- GSSubsidyList() : GSSubsidyList
- GSTestMode() : GSTestMode
- GSText() : GSText
- GSTileList_IndustryAccepting() : GSTileList_IndustryAccepting
- GSTileList_IndustryProducing() : GSTileList_IndustryProducing
- GSTileList_StationCoverage() : GSTileList_StationCoverage
- GSTileList_StationType() : GSTileList_StationType
- GSTownList() : GSTownList
- GSVehicleList() : GSVehicleList
- GSVehicleList_DefaultGroup() : GSVehicleList_DefaultGroup
- GSVehicleList_Depot() : GSVehicleList_Depot
- GSVehicleList_Group() : GSVehicleList_Group
- GSVehicleList_SharedOrders() : GSVehicleList_SharedOrders
- GSVehicleList_Station() : GSVehicleList_Station
- GSVehicleList_Waypoint() : GSVehicleList_Waypoint
- GSWaypointList() : GSWaypointList
- GSWaypointList_Vehicle() : GSWaypointList_Vehicle
- GT_COMPANY : GSGoal
- GT_INDUSTRY : GSGoal
- GT_NONE : GSGoal
- GT_STORY_PAGE : GSGoal
- GT_TILE : GSGoal
- GT_TOWN : GSGoal